Get resource paths
POST /api/gateway_groups/{gateway_group_id}/resource_paths
POST /api/gateway_groups/{gateway_group_id}/resource_pathsInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthRequest Body
application/json
Response Body
application/json
application/json
curl -X POST "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/resource_paths" \ -H "Content-Type: application/json" \ -d '{}'Successfully resolved resource paths.
{
"value": {
"resources": [
{
"resource_type": "string",
"resource_id": "string",
"resource_path": [
{
"resource_type": "gateway_group",
"resource_id": "string",
"name": "string"
}
]
}
]
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
POST /api/gateway_groups/{gateway_group_id}/resource_paths
Get resource paths
Resolve resource IDs to ordered business resource paths on demand. IAM Action: gateway:GetGatewayGroup, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.
Request body
Content type: application/json
resources(array, optional): Resources to resolve.resources[].resource_type(string, optional): Resource type to resolve.resources[].resource_id(string, optional): Resource ID to resolve.
Responses
200: Successfully resolved resource paths.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.resources(array, optional): Resources enriched with resource paths when resolvable.value.resources[].resource_type(string, optional): Resource type to resolve.value.resources[].resource_id(string, optional): Resource ID to resolve.value.resources[].resource_path(array, optional): Ordered business resource hierarchy from the gateway group to the requested resource.value.resources[].resource_path[].resource_type(string, optional): Resource node type.value.resources[].resource_path[].resource_id(string, optional): Resource node ID.value.resources[].resource_path[].name(string, optional): Human-readable resource node name.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X POST '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/resource_paths'